# Copyright 2024-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# Autogenerated by pycargoebuild 0.13.2

EAPI=8

CRATES="
	emlop@0.8.0
	adler2@2.0.0
	aho-corasick@1.1.3
	anstream@0.6.18
	anstyle-parse@0.2.6
	anstyle-query@1.1.2
	anstyle-wincon@3.0.7
	anstyle@1.0.10
	anyhow@1.0.95
	assert_cmd@2.0.16
	atoi@2.0.0
	autocfg@1.4.0
	bstr@1.11.3
	cfg-if@1.0.0
	clap@4.5.29
	clap_builder@4.5.29
	clap_complete@4.5.44
	clap_derive@4.5.28
	clap_lex@0.7.4
	colorchoice@1.0.3
	crc32fast@1.4.2
	deranged@0.3.11
	difflib@0.4.0
	doc-comment@0.3.3
	env_filter@0.1.3
	env_logger@0.11.6
	equivalent@1.0.1
	flate2@1.0.35
	hashbrown@0.15.2
	heck@0.5.0
	indexmap@2.7.1
	is_terminal_polyfill@1.70.1
	itoa@1.0.14
	libc@0.2.169
	log@0.4.25
	memchr@2.7.4
	miniz_oxide@0.8.4
	num-conv@0.1.0
	num-traits@0.2.19
	num_threads@0.1.7
	once_cell@1.20.3
	powerfmt@0.2.0
	predicates-core@1.0.9
	predicates-tree@1.0.12
	predicates@3.1.3
	proc-macro2@1.0.93
	quote@1.0.38
	regex-automata@0.4.9
	regex-syntax@0.8.5
	regex@1.11.1
	rev_lines@0.3.0
	ryu@1.0.19
	serde@1.0.217
	serde_derive@1.0.217
	serde_json@1.0.138
	serde_spanned@0.6.8
	strsim@0.11.1
	syn@2.0.98
	termtree@0.5.1
	thiserror-impl@1.0.69
	thiserror@1.0.69
	time-core@0.1.2
	time-macros@0.2.19
	time@0.3.37
	toml@0.8.20
	toml_datetime@0.6.8
	toml_edit@0.22.24
	unicode-ident@1.0.16
	utf8parse@0.2.2
	wait-timeout@0.2.1
	windows-sys@0.59.0
	windows-targets@0.52.6
	windows_aarch64_gnullvm@0.52.6
	windows_aarch64_msvc@0.52.6
	windows_i686_gnu@0.52.6
	windows_i686_gnullvm@0.52.6
	windows_i686_msvc@0.52.6
	windows_x86_64_gnu@0.52.6
	windows_x86_64_gnullvm@0.52.6
	windows_x86_64_msvc@0.52.6
	winnow@0.7.2
"

RUST_MIN_VER="1.74.1"

inherit cargo shell-completion

DESCRIPTION="A fast, accurate, ergonomic emerge.log parser"
HOMEPAGE="https://github.com/vincentdephily/emlop"
SRC_URI="
	${CARGO_CRATE_URIS}
"

LICENSE="GPL-3"
# Dependent crate licenses
LICENSE+="
	   MIT Unicode-DFS-2016
	   || ( Apache-2.0 Boost-1.0 )
"

SLOT="0"
KEYWORDS="amd64"

# rust does not use *FLAGS from make.conf, silence portage warning
QA_FLAGS_IGNORED="usr/bin/${PN}"

src_install() {
	cargo_src_install
	dodoc README.md CHANGELOG.md emlop.toml
	newbashcomp completion.bash emlop
	newfishcomp completion.fish emlop.fish
	newzshcomp completion.zsh _emlop
}
