# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

# ebuild generated by hackport 0.8.4.0.9999

CABAL_HACKAGE_REVISION=6

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="Fast, pure and practical MD5 implementation"
HOMEPAGE="https://github.com/hvr/cryptohash-md5"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"

RDEPEND=">=dev-lang/ghc-7.4.1:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-1.10
	test? ( >=dev-haskell/base16-bytestring-0.1.1 <dev-haskell/base16-bytestring-0.2
		>=dev-haskell/puremd5-2.1.3 <dev-haskell/puremd5-2.2
		>=dev-haskell/tasty-0.11
		>=dev-haskell/tasty-hunit-0.9
		>=dev-haskell/tasty-quickcheck-0.8 )
"

CABAL_CHDEPS=(
	'base             >= 4.5   && < 4.16' 'base             >= 4.5'
	'tasty             == 0.11.*' 'tasty             >= 0.11'
	'tasty-quickcheck  == 0.8.*' 'tasty-quickcheck  >= 0.8'
	'tasty-hunit       == 0.9.*' 'tasty-hunit       >= 0.9'
	'bytestring       >= 0.9.2 && < 0.11' 'bytestring >= 0.9.2'
)
