# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

# ebuild generated by hackport 0.7.1.1.9999
#hackport: flags: -developer,-integer-gmp

CABAL_FEATURES="lib profile haddock hoogle hscolour test-suite"
inherit haskell-cabal

DESCRIPTION="Efficient conversion of values into Text"
HOMEPAGE="https://github.com/RyanGlScott/text-show"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"

RDEPEND=">=dev-haskell/base-compat-batteries-0.11:=[profile?] <dev-haskell/base-compat-batteries-0.13:=[profile?]
	>=dev-haskell/bifunctors-5.1:=[profile?] <dev-haskell/bifunctors-6:=[profile?]
	dev-haskell/bytestring-builder:=[profile?]
	>=dev-haskell/generic-deriving-1.14.1:=[profile?] <dev-haskell/generic-deriving-2:=[profile?]
	>=dev-haskell/th-abstraction-0.4:=[profile?] <dev-haskell/th-abstraction-0.5:=[profile?]
	>=dev-haskell/th-lift-0.7.6:=[profile?] <dev-haskell/th-lift-1:=[profile?]
	>=dev-haskell/transformers-compat-0.5:=[profile?] <dev-haskell/transformers-compat-1:=[profile?]
	>=dev-lang/ghc-8.4.3:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-2.2.0.1
	test? ( >=dev-haskell/base-orphans-0.8.5 <dev-haskell/base-orphans-0.9
		>=dev-haskell/deriving-compat-0.6 <dev-haskell/deriving-compat-1
		>=dev-haskell/hspec-2 <dev-haskell/hspec-3
		>=dev-haskell/quickcheck-2.12 <dev-haskell/quickcheck-2.15
		>=dev-haskell/quickcheck-instances-0.3.26 <dev-haskell/quickcheck-instances-0.4 )
"

src_configure() {
	haskell-cabal_src_configure \
		--flag=-developer \
		--flag=-integer-gmp
}
