# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

GUILE_COMPAT=( 2-2 3-0 )
inherit autotools guile

DESCRIPTION="Guile bindings of sqlite3"
HOMEPAGE="https://notabug.org/guile-sqlite3/guile-sqlite3"
SRC_URI="https://notabug.org/guile-sqlite3/guile-sqlite3/archive/v${PV}.tar.gz
	-> ${P}.tar.gz"
S="${WORKDIR}/${PN}"

LICENSE="LGPL-3+ GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"

REQUIRED_USE="${GUILE_REQUIRED_USE}"

RDEPEND="
	${GUILE_DEPS}
	dev-db/sqlite:3=
"
DEPEND="${RDEPEND}"

src_prepare() {
	guile_src_prepare

	# upstream tag on top of source tree. has no autogenerated files
	eautoreconf
}
