# Copyright 2017-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# Auto-Generated by cargo-ebuild 0.3.2-alpha.0

EAPI=8

CRATES="
	addr2line@0.17.0
	adler@1.0.2
	ahash@0.6.3
	array-macro@1.0.5
	autocfg@1.0.1
	backtrace@0.3.63
	bitflags@1.3.2
	cc@1.0.72
	cfg-if@1.0.0
	chrono@0.4.19
	clap@2.33.3
	cmake@0.1.46
	cplus_demangle@0.1.1
	cpp_demangle@0.3.3
	crc32fast@1.2.1
	crossbeam-channel@0.5.1
	crossbeam-utils@0.8.5
	cursive@0.16.3
	cursive_core@0.2.2
	cursive_table_view@0.13.3
	darling@0.10.2
	darling_core@0.10.2
	darling_macro@0.10.2
	either@1.6.1
	enum-map-derive@0.4.6
	enum-map@0.6.4
	fallible-iterator@0.2.0
	flate2@1.0.22
	flexi_logger@0.20.0
	fnv@1.0.7
	fuzzy-matcher@0.3.7
	getrandom@0.2.3
	gimli@0.26.1
	glob@0.3.0
	hashbrown@0.11.2
	ident_case@1.0.1
	indexmap@1.7.0
	itertools@0.10.1
	itoa@0.4.8
	lazy_static@1.4.0
	libc@0.2.107
	log@0.4.14
	maplit@1.0.2
	memchr@2.4.1
	memmap2@0.5.0
	miniz_oxide@0.4.4
	ncurses@5.101.0
	num-complex@0.3.1
	num-integer@0.1.44
	num-iter@0.1.42
	num-rational@0.3.2
	num-traits@0.2.14
	num@0.3.1
	object@0.27.1
	once_cell@1.8.0
	owning_ref@0.4.1
	pkg-config@0.3.22
	proc-macro2@1.0.32
	quote@1.0.10
	rustc-demangle@0.1.21
	rustversion@1.0.5
	ryu@1.0.5
	serde@1.0.130
	serde_derive@1.0.130
	serde_json@1.0.70
	signal-hook-registry@1.4.0
	signal-hook@0.3.10
	smallvec@1.7.0
	stable_deref_trait@1.2.0
	strsim@0.9.3
	syn@1.0.81
	term_size@0.3.2
	textwrap@0.11.0
	thiserror-impl@1.0.30
	thiserror@1.0.30
	thread_local@1.1.3
	time-macros@0.2.3
	time@0.1.43
	time@0.3.5
	unicode-segmentation@1.8.0
	unicode-width@0.1.9
	unicode-xid@0.2.2
	unwrap@1.2.1
	version_check@0.9.3
	wasi@0.10.2+wasi-snapshot-preview1
	wasmer_enumset@1.0.1
	wasmer_enumset_derive@0.5.0
	winapi-i686-pc-windows-gnu@0.4.0
	winapi-x86_64-pc-windows-gnu@0.4.0
	winapi@0.3.9
	xi-unicode@0.3.0
	zydis@3.1.2
"

inherit cargo

DESCRIPTION="A dynamic tracing profiler for Linux"
HOMEPAGE="
	https://rubrikinc.github.io/wachy/
	https://github.com/rubrikinc/wachy
"
SRC_URI="
	https://github.com/rubrikinc/${PN}/archive/refs/tags/${PV/_alpha/-alpha.}.tar.gz -> ${P}.tar.gz
	${CARGO_CRATE_URIS}
"
S=${WORKDIR}/${PN}-${PV/_alpha/-alpha.}

LICENSE="|| ( Apache-2.0 MIT )"
# Dependent crate licenses
LICENSE+=" Apache-2.0 MIT"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="mirror"

DEPEND="sys-libs/ncurses:="
RDEPEND="${DEPEND}"

QA_FLAGS_IGNORED="usr/bin/wachy"

DOCS=(
	README.md
	docs
	demo
)

src_prepare() {
	rm demo/.gitignore || die
	default
}

src_install() {
	cargo_src_install

	dodoc -r "${DOCS[@]}"
}
